[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#505609: loader varialbe in kernel maintainer scripts

On Fri, 18 Jun 2010 11:51:11 -0400 (EDT), maximilian attems wrote:
> On Fri, Jun 18, 2010 at 10:55:35AM -0400, Stephen Powell wrote:
>> As for "update-initramfs -u", it *will* invoke lilo if lilo is installed
>> and "do_bootloader = yes" is specified in /etc/kernel-img.conf, which I
>> highly recommend. 
> this fall back will be gone as soon as squeeze is out.
> so you'd really need to gear up.

That is interesting.  Suppose that the user issues an

   aptitude update
   aptitude full-upgrade

sequence.  And suppose something other than the kernel gets updated that
requires that the initial RAM file system be updated.  Somehow, aptitude
knows to run "update-initramfs -u".  But if "update-initramfs -u" does
not invoke lilo, and the kernel is not updated, what will cause lilo to
get run?  The kernel hook scripts won't be run because the kernel itself
was not updated.  The same principle applies to zipl on the s390 platform,
which is the *only* supported boot loader on this platform, by the way.

  .''`.     Stephen Powell    
 : :'  :
 `. `'`

Reply to: